from Products.ATContentTypes.interfaces import IATDocument


class IMeetingBase(IATDocument):
	"""Meeting base
	"""

	pass

class IMeetingConferencepapers(IMeetingBase):

    #
    # Conferencepapers
    #
    
    def getConferencepaper(self, UID):
        """
        Parameters
            UID -> UID of attachment
            
        Returns a file object
        """
    
    def getConferencepaperBrain(self, UID):
        """
        Parameters
            UID -> UID of attachment
            
        Returns a brain of attachment
        """
        
    def getConferencepapers(self):
        """
        Returns all attachment objects referenced in Article
        """
        
    def getConferencepaperBrains(self):
        """
        Returns all attachment brains referenced in Article
        """
    
    def getConferencepaperUIDs(self):
        """
        Returns all attachment uids referenced in Article
        """
        
    def addConferencepaper(self, title, description, file):
        """
        Attach a file to Article. Add attachment in Article.
        
        Parameters
            title -> title of attachment
            description -> description of attachment
            attachment -> file data (upload) to attach
        """
    
    def addConferencepaperFromObject(self, attachment):
        """
        Attach a file to Article. Just add a reference between attachment and
        """

