## Controller Python Script "plonearticle_attachment_delete"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind state=state
##bind subpath=traverse_subpath
##parameters=title=None, items=[],kind=''
##title=Delete attachments

# define the charset : useful for utf-8 sites using translate.py (see for something smarter)
from Products.CMFCore.utils import getToolByName
charset = getToolByName(context, 'portal_properties')['site_properties'].default_charset
context.REQUEST.RESPONSE.setHeader('Content-Type','text/html; charset=%s'%charset)
type=kind.lower()

message=""

if type == 'attachment':
    context.removeAttachments(items)
    if len(items) > 1:
        #message="%d attachments deleted" % len(attachs)
        attachCount = len(items)
        message = context.translate(
              domain='plonearticle', msgid='message_attachments_deleted',
              mapping={'attach_count': attachCount, }, 
              default = '%d attachments deleted.'%(attachCount)
            )
   
    elif len(items) == 1:
        #message="Attachment deleted"
        message = context.translate(
                domain='plonearticle', msgid='message_attachment_deleted',
                mapping={}, 
                default = 'Attachment deleted.'
             )
   
    else:
        #message="No attachments selected for deletion."
        message = context.translate(
               domain='plonearticle', msgid='message_delete_attachment_none_selected',
               mapping={}, 
               default = 'No attachment selected for deletion.'
            )
elif type == 'workingdoc':
    context.removeWorkingdocs(items)
    if len(items) > 1:
        #message="%d $ss deleted" % (len(attachs),type)
        attachCount = len(items)
        message = context.translate(
              domain='meeting', msgid='message_%ss_deleted'%(type),
              mapping={'attach_count': attachCount, }, 
              default = '%d attachments deleted.'%(attachCount)
            )
   
    elif len(items) == 1:
        message = context.translate(
                domain='meeting', msgid='message_%s_deleted'%(type),
                mapping={}, 
                default = 'Working Document deleted.'
             )
   
    else:
        message = context.translate(
               domain='meeting', msgid='message_delete_%s_none_selected'%(type),
               mapping={}, 
               default = 'No working document selected for deletion.'
             )

elif type == 'informationdoc':
    context.removeInformationdocs(items)
    if len(items) > 1:
        #message="%d $ss deleted" % (len(attachs),type)
        attachCount = len(items)
        message = context.translate(
              domain='meeting', msgid='message_%ss_deleted'%(type),
              mapping={'attach_count': attachCount, }, 
              default = '%d %ss deleted.'%(attachCount,type)
            )
   
    elif len(items) == 1:
        message = context.translate(
                domain='meeting', msgid='message_%s_deleted'%(type),
                mapping={}, 
                default = 'Information Document deleted.'
             )
   
    else:
        message = context.translate(
               domain='meeting', msgid='message_delete_%s_none_selected'%(type),
               mapping={}, 
               default = 'No information document selected for deletion.'
              )


elif type == 'referencedoc':
    context.removeReferencedoc(items)
    if len(items) > 1:
        #message="%d $ss deleted" % (len(attachs),type)
        attachCount = len(items)
        message = context.translate(
              domain='meeting', msgid='message_%ss_deleted'%(type),
              mapping={'attach_count': attachCount, }, 
              default = '%d %ss deleted.'%(attachCount,type)
            )
   
    elif len(items) == 1:
        message = context.translate(
                domain='meeting', msgid='message_%s_deleted'%(type),
                mapping={}, 
                default = 'Reference Document deleted.'
             )
   
    else:
        message = context.translate(
               domain='meeting', msgid='message_delete_%s_none_selected'%(type),
               mapping={}, 
               default = 'No reference document selected for deletion.'
             )


elif type == 'presentation':
    context.removePresentation(items)
    if len(items) > 1:
        #message="%d $ss deleted" % (len(attachs),type)
        attachCount = len(items)
        message = context.translate(
              domain='meeting', msgid='message_%ss_deleted'%(type),
              mapping={'attach_count': attachCount, }, 
              default = '%d %ss deleted.'%(attachCount,type)
            )
   
    elif len(items) == 1:
        message = context.translate(
                domain='meeting', msgid='message_%s_deleted'%(type),
                mapping={}, 
                default = 'Presentation deleted.'
             )
   
    else:
        message = context.translate(
               domain='meeting', msgid='message_delete_%s_none_selected'%(type),
               mapping={}, 
               default = 'No presentation selected for deletion.'
             )


elif type == 'conferencepaper':
    context.removeConferencepaper(items)
    if len(items) > 1:
        #message="%d $ss deleted" % (len(attachs),type)
        attachCount = len(items)
        message = context.translate(
              domain='meeting', msgid='message_%ss_deleted'%(type),
              mapping={'attach_count': attachCount, }, 
              default = '%d %ss deleted.'%(attachCount,type)
            )
   
    elif len(items) == 1:
        message = context.translate(
                domain='meeting', msgid='message_%s_deleted'%(type),
                mapping={}, 
                default = 'Conference Paper deleted.'
             )
   
    else:
        message = context.translate(
               domain='meeting', msgid='message_delete_%s_none_selected'%(type),
               mapping={}, 
               default = 'No conference paper selected for deletion.'
             )
else:
    return 'what up?'

return state.set(status='success',\
                 context=context,\
                 portal_status_message=message)


