## Controller Python Script "plonearticle_attachment_edit"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind state=state
##bind subpath=traverse_subpath
##parameters=item_infos=[],kind=''
##title=Update attachments titles

# define the charset : useful for utf-8 sites using translate.py (see for something smarter)
from Products.CMFCore.utils import getToolByName
charset = getToolByName(context, 'portal_properties')['site_properties'].default_charset
context.REQUEST.RESPONSE.setHeader('Content-Type','text/html; charset=%s'%charset)

type = kind.lower()
message = "Changes have been saved."

# Modify Image brains?
if type == 'attachment':
    context.editAttachments(item_infos)
    message = context.translate(
             domain='plonearticle', msgid='message_attachments_changes_saved',
             mapping={}, 
             default = 'Attachments changes have been saved.'
           )

elif type == 'workingdoc':
    context.editWorkingdocs(item_infos)
    message = context.translate(
             domain='meeting', msgid='message_workingdocs_changes_saved',
             mapping={}, 
             default = 'Working Documents changes have been saved.'
           )

elif type == 'presentation':
    context.editPresentations(item_infos)
    message = context.translate(
             domain='meeting', msgid='message_presentation_changes_saved',
             mapping={}, 
             default = 'Presentation changes have been saved.'
           )

elif type == 'informationdoc':
    context.editInformationdocs(item_infos)
    message = context.translate(
             domain='meeting', msgid='message_informationdoc_changes_saved',
             mapping={}, 
             default = 'Information Document changes have been saved.'
           )
elif type == 'conferencepaper':
    context.editConferencepapers(item_infos)
    message = context.translate(
             domain='meeting', msgid='message_conferencepaper_changes_saved',
             mapping={}, 
             default = 'Conference Room Paper changes have been saved.'
           )
elif type == 'referencedoc':
    context.editReferencedocs(item_infos)
    message = context.translate(
             domain='meeting', msgid='message_referencedoc_changes_saved',
             mapping={}, 
             default = 'Reference Document changes have been saved.'
           )

return state.set(status='success',\
                 context=context,\
                 portal_status_message=message)
